%define upstream_name Bio-EUtilities
%define upstream_version 1.77

%global __requires_exclude_from ^%{_docdir}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Webagent which interacts with and retrieves data from NCBI's eUtils
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::ASN1::EntrezGene)
BuildRequires: perl(Bio::DB::GenericWebAgent)
BuildRequires: perl(Bio::ParameterBaseI)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::RootI)
BuildRequires: perl(Bio::Root::Version)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Webagent which interacts with and retrieves data from NCBI's eUtils.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_bindir}/bp_einfo
%{_bindir}/bp_genbank_ref_extractor
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.770.0-3.mga10
+ Revision: 2211819
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.770.0-2.mga9
+ Revision: 1830296
- Mageia 9 Mass Rebuild

* Tue Mar 10 2020 tv <tv> 1.770.0-1.mga8
+ Revision: 1555206
- update to 1.77

* Thu Feb 20 2020 umeabot <umeabot> 1.760.0-2.mga8
+ Revision: 1545112
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.760.0-1.mga8
+ Revision: 1484049
- update to 1.76

* Thu Sep 20 2018 umeabot <umeabot> 1.750.0-2.mga7
+ Revision: 1281843
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.750.0-1.mga7
+ Revision: 1126041
- update to 1.75

* Sat Jun 18 2016 pterjan <pterjan> 1.730.0-3.mga6
+ Revision: 1022719
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.730.0-2.mga6
+ Revision: 951144
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 sander85 <sander85> 1.730.0-1.mga5
+ Revision: 802350
- imported package perl-Bio-EUtilities

